ComRaidComRaid Docs
API referenceSegments

List segments

GET
/segments

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Project API key (cr_sk_...)

Query Parameters

include_archived?boolean

When true, include archived Segments in the list.

Defaultfalse

Response Body

Active segments by default. Pass include_archived=true to include archived segments.

application/json
  1. response
segments*array<>
Example Request
curl -X GET 'https://api.comraid.io/segments'
Example Response
{  "segments": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "segment_id": "0dbbf761-5b2d-4647-8bfa-2b714456749c",      "name": "string",      "description": "string",      "rules": {        "operator": "and",        "conditions": [          {            "field": "string",            "key": "string",            "op": "string",            "value": null          }        ]      },      "status": "active",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "archived_at": "2019-08-24T14:15:22Z"    }  ]}